#ifndef EDITOR_H_INCLUDED
#define EDITOR_H_INCLUDED

#include <tqwidget.h>

#include "game.h"

class TDEListBox;
class TQHBoxLayout;
class TQListBoxItem;
class Config;

class Editor : public TQWidget
{
	TQ_OBJECT
  

public:
	Editor(ObjectList *list, TQWidget * = 0, const char * = 0);

signals:
	void changed();
	void addNewItem(Object *);

public slots:
	void setItem(CanvasItem *);

private slots:
	void listboxExecuted(TQListBoxItem *);

private:
	ObjectList *list;
	TQHBoxLayout *hlayout;
	TDEListBox *listbox;
	Config *config;
};

#endif
